%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Publican-WebSite
%define maketest 0

Summary:	Docs website package
Name:		perl-%{real_name}
Version:	0.7
Release:	0%{?dist}
License:	GPLv2+/Artistic
Group:		Applications/CPAN
URL:		http://fedorahosted.org/publican
Source:		https://fedorahosted.org/releases/p/u/publican/%{real_name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl perl(ExtUtils::MakeMaker) publican publican-redhat
BuildRequires:	perl-Module-Build
Requires:	perl-DBD-SQLite
Requires:	publican-WebSite-obsoletes
# This is untested, not sure it's required in here
Prefix:		/var/www/html/docs

%description
This package enables automated control of a web site for packages built
with the publican publishing tool.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__make} -C content payload
%{__make} -C content -f Makefile.ST Site_Tech
%{__perl} Build.PL installdirs=vendor
%{__perl} Build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__perl} Build install destdir=$RPM_BUILD_ROOT
mkdir -p -m 775 $RPM_BUILD_ROOT/var/opt/website
mkdir -p -m 775 $RPM_BUILD_ROOT/%{prefix}/images
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/templates
install -m 664 var/opt/website/default.db $RPM_BUILD_ROOT/var/opt/website
install -m 664 var/www/html/toc.html $RPM_BUILD_ROOT/%{prefix}
install -m 664 var/www/html/toc.js $RPM_BUILD_ROOT/%{prefix}
install -m 664 var/www/html/index.html $RPM_BUILD_ROOT/%{prefix}
install -m 664 var/www/html/default.css $RPM_BUILD_ROOT/%{prefix}
install -m 664 var/www/html/interactive.css $RPM_BUILD_ROOT/%{prefix}
install -m 664 var/www/html/images/arrows.png $RPM_BUILD_ROOT/%{prefix}/images
install -m 664 var/www/html/images/title.png $RPM_BUILD_ROOT/%{prefix}/images
cp -rf generated/* $RPM_BUILD_ROOT/%{prefix}/
cp -f templates/*.tmpl $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/.

### Clean up buildroot
find $RPM_BUILD_ROOT -name .packlist -exec %{__rm} {} \;

%check
%if %maketest
%{__perl} Build test
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%{__perl} -e 'use Publican::WebSite; my $ws = Publican::WebSite->new(); $ws->regen_all_toc();'

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Publican
# These 2 files get updated when the docs packages are added/removed
%config(noreplace) %verify(not md5 size mtime) /var/opt/website/default.db
%config(noreplace) %verify(not md5 size mtime) %{prefix}/toc.html
%{prefix}/toc.js
%{prefix}/index.html
%{prefix}/default.css
%{prefix}/interactive.css
%{prefix}/images
%{_bindir}/website_report
%{_datadir}/%{name}
# Language dirs
%{prefix}/*-*

%changelog
* Wed Jan 28 2009 Jeff Fearn <jfearn@redhat.com> 0.7
- Clean up spec file
- Fix TPS verify issues

* Tue Dec 9 2008 Jeff Fearn <jfearn@redhat.com> 0.6
- Add Marathi native script.
- Fix minor CSS bugs.
- Trimmed white space.

* Mon Dec 1 2008 Jeff Fearn <jfearn@redhat.com> 0.5
- Better styling for bottom links.
- Added Site_Tech.

* Wed Sep 24 2008 Jeff Fearn <jfearn@redhat.com> 0.4
- Add publican-WebSite-obsoletes requires.
- Add statistics page
- Add links to site map and stats on TOCs

* Fri Sep 5 2008 Jeff Fearn <jfearn@redhat.com> 0.3
- Removed product arrow background from css.
- Fixed typo in css.
- Respin with new publican package.

* Wed Sep 3 2008 Jeff Fearn <jfearn@redhat.com> 0.2
- Make path on static toc relative.

* Thu Nov 8 2007 Jeff Fearn <jfearn@redhat.com> 0.1-1
- Initial package.
